package com.xxl.job.executor.report.service;

import com.alibaba.fastjson.JSONObject;
import com.xxl.job.executor.common.entity.CtopOauthToken;

import java.util.Date;
import java.util.Map;

public interface IReportService {

    void getAdvertiserCampaignReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    Map<String, Object> getAgentReport(JSONObject conditions);

    void getAdvertiserReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePl);

    void getAdvertiserPlanReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getAdvertiserCreativeReport(CtopOauthToken token, Date startDate, Date endDate, String bytedanceReportTypePL);

    void getMaterialReportByPage(CtopOauthToken token, String startDate, String endDate, Integer pageNum);

    void loadBytedanceHistoryData(CtopOauthToken token);
}
